Clerk selection list
{{server}}/api/v1/smart/selectableClerks?branch={{branch}}&language=00000000-0000-4000-0004-000000000001&service=00000000-0000-4000-0007-000000000005This endpoint retrieves a list of selectable clerks based on the provided branch, language, and service.
Request
-
Parameters
-
branch(string, required): The identifier of the branch for which the selectable clerks are being retrieved. -
language(string, required): The language identifier. -
service(string, required): The identifier of the service.
-
Response
The response for this request is a JSON array containing objects with the following schema:
-
user(object): Information about the clerk user.-
key(string): The identifier of the user. -
name(string): The name of the user. -
avatar(string): The avatar of the user.
-
-
counter(object): Information about the counter.-
key(string): The identifier of the counter. -
name(string): The name of the counter. -
waitTime(number): The estimated wait time at the counter.
-
Request
Authorization
| Header | Value |
|---|---|
Authorization | SmartToken {{smartToken}} |
Headers
| Key | Value |
|---|---|
Accept | application/json |
Query parameters
| Key | Value |
|---|---|
branch | {{branch}} |
language | 00000000-0000-4000-0004-000000000001 |
service | 00000000-0000-4000-0007-000000000005 |
Code snippets
- cURL
- JavaScript
- Python
curl -X GET '{{server}}/api/v1/smart/selectableClerks?branch={{branch}}&language=00000000-0000-4000-0004-000000000001&service=00000000-0000-4000-0007-000000000005' \
-H 'Accept: application/json' \
-H 'Authorization: SmartToken {{smartToken}}'
const response = await fetch("{{server}}/api/v1/smart/selectableClerks?branch={{branch}}&language=00000000-0000-4000-0004-000000000001&service=00000000-0000-4000-0007-000000000005", {
method: "GET",
headers: {
"Accept": "application/json",
"Authorization": "SmartToken {{smartToken}}"
},
});
const data = await response.json();
console.log(data);
import requests
url = "{{server}}/api/v1/smart/selectableClerks?branch={{branch}}&language=00000000-0000-4000-0004-000000000001&service=00000000-0000-4000-0007-000000000005"
headers = {
"Accept": "application/json",
"Authorization": "SmartToken {{smartToken}}"
}
response = requests.get(url, headers=headers)
print(response.status_code)
print(response.json())
Example
{{server}}/api/v1/smart/selectableClerks?branch={{branch}}&language=00000000-0000-4000-0004-000000000001&service=00000000-0000-4000-0007-000000000005Query parameters (3)
| Key | Value |
|---|---|
branch | {{branch}} |
language | 00000000-0000-4000-0004-000000000001 |
service | 00000000-0000-4000-0007-000000000005 |
Headers (1)
| Key | Value |
|---|---|
Accept | application/json |
Response headers (9)
| Key | Value |
|---|---|
Access-Control-Expose-Headers | * |
Cache-Control | no-store, no-cache, must-revalidate |
Access-Control-Allow-Origin | * |
Access-Control-Allow-Methods | POST, PUT, GET, OPTIONS, DELETE |
Access-Control-Allow-Credentials | true |
Content-Length | 419 |
Access-Control-Max-Age | 86400 |
Access-Control-Allow-Headers | Content-Type, Authorization, X-Requested-With |
Content-Type | application/json;charset=utf-8 |
[
{
"user": {
"key": "00000000-0000-4000-0002-000000000006",
"name": "Rick Deckard",
"avatar": "media/avatar/Deckard.jpg"
},
"counter": {
"key": "00000000-0000-4000-0002-000000000006",
"name": "Rick Deckard",
"waitTime": 0
}
},
{
"user": {
"key": "00000000-0000-4000-0002-000000000007",
"name": "Lando Calrissian",
"avatar": "media/avatar/Lando.jpg"
},
"counter": {
"key": "00000000-0000-4000-0002-000000000007",
"name": "Lando Calrissian",
"waitTime": 0
}
}
]